%define ver_major 2.4
%def_without static

Name: libgtkhtml
Version: %ver_major.1
Release: alt2

Summary: GTk HTML widget 2
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define gnome_vfs_ver 2.4.1
%define gail_ver 1.4.1
%define libxml2_ver 2.5.6
%define gtk_ver 2.2.4
%define gnome_common_ver 2.3.0

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: libgail-devel >= %gail_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: gnome-common >= %gnome_common_ver

# Automatically added by buildreq on Thu Dec 04 2003
BuildRequires: ORBit2-devel XFree86-libs fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel hostinfo libGConf2 libORBit2 libart_lgpl-devel libatk-devel libbonobo2-devel libexpat libgail-devel libgnomecanvas-devel libgtk+2-devel libpango-devel libssl libstdc++-devel libxml2-devel pkgconfig zlib-devel

%description
GTK HTML Widget for the GNOME 2 platform.
GtkHTML is a HTML rendering/editing library. GtkHTML is not designed
to be the ultimate HTML browser/editor: instead, it is designed to be
easily embedded into applications that require lightweight HTML
functionality.

%package -n %{name}2
Summary: GTk HTML widget 2
Group: System/Libraries
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libgail >= %gail_ver
Requires: libxml2 >= %libxml2_ver
Requires: libgtk+2 >= %gtk_ver

%description -n %{name}2
GTK HTML Widget for the GNOME 2 platform.
GtkHTML is a HTML rendering/editing library. GtkHTML is not designed
to be the ultimate HTML browser/editor: instead, it is designed to be
easily embedded into applications that require lightweight HTML
functionality.

%package -n %{name}2-devel
Summary: Header and development libraries for libgtkhtml
Group: Development/GNOME and GTK+
Requires: %{name}2 = %version-%release
Requires: gnome-vfs2-devel >= %gnome_vfs_ver
Requires: libgail-devel >= %gail_ver
Requires: libxml2-devel >= %libxml2_ver
Requires: libgtk+2-devel >= %gtk_ver

%description -n %{name}2-devel
GTK HTML Widget for the GNOME 2 platform.
GtkHTML is a HTML rendering/editing library. GtkHTML is not designed
to be the ultimate HTML browser/editor: instead, it is designed to be
easily embedded into applications that require lightweight HTML
functionality.
This package contains the files necessary to develop applications
with GtkHTML.

%package -n %{name}2-devel-static
Summary: Static libraries for libgtkhtml
Group: Development/GNOME and GTK+
Requires: %{name}2-devel = %version-%release

%description -n %{name}2-devel-static
GTK HTML Widget for the GNOME 2 platform.
GtkHTML is a HTML rendering/editing library. GtkHTML is not designed
to be the ultimate HTML browser/editor: instead, it is designed to be
easily embedded into applications that require lightweight HTML
functionality.

This package contains the files necessary to develop statically
linked applications with GtkHTML.

%prep
%setup -q

%build
%configure

# SMP-incompatible build
%make

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%endif

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -n libgtkhtml2
%_libdir/*.so.*
%doc AUTHORS ChangeLog README NEWS

%files -n libgtkhtml2-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc docs/IDEAS

%if_with static
%files -n libgtkhtml2-devel-static
%_libdir/*.a
%endif

%changelog
* Thu Dec 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt2
- do not package .la files.
- do not build devel-static subpackage by default.

* Mon Oct 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Jul 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Fri May 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Thu May 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Sat May 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Mon Mar 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Tue Mar 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Mon Jan 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.8-alt1
- 2.1.8

* Mon Dec 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.7-alt1
- 2.1.7

* Thu Dec 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Sun Dec 08 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Sat Nov 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Wed Jun 19 2002 Igor Androsov <blake@altlinux.ru> 2.0.0-alt1
- Initial build for AltLinux
- Static libraries moved to devel-static
- Add buildreq
- (inger) fixed build

* Mon Jan 28 2002 Gregory Leblanc <gleblanc@linuxweasel.com>
- improved requirements

* Thu Jan 24 2002 Gregory Leblanc <gleblanc@linuxweasel.com> 1.99.2-4
- added requirements from Chris

* Tue Jan 16 2002 Gregory Leblanc <gleblanc@linuxweasel.com>
- created new spec file

